org.apache.ignite.internal.pagemem.wal.record

## Class ReencryptionStartRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.ReencryptionStartRecord

    public class ReencryptionStartRecord
    extends WALRecord

Logical record to restart reencryption with the latest encryption key.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordPurpose, WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`ReencryptionStartRecord(Map<Integer,Byte> grps)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `dataSize()`
`Map<Integer,Byte>` `groups()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ReencryptionStartRecord

    public ReencryptionStartRecord(Map<Integer,Byte> grps)

Parameters:
  `grps` - Map of reencrypted cache groups with encryption key identifiers.

### Method Detail

#### groups

    public Map<Integer,Byte> groups()

Returns:
  Map of reencrypted cache groups with encryption key identifiers.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

#### dataSize

    public int dataSize()

Returns:
  Record data size.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022